Bug 230135 - devel/py-glance-store: Update 0.20.0 => 0.26.0
Summary: devel/py-glance-store: Update 0.20.0 => 0.26.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks: 232244
  Show dependency treegraph
 
Reported: 2018-07-29 05:06 UTC by Nathan
Modified: 2019-01-11 12:51 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
Update (1.69 KB, patch)
2018-07-29 05:06 UTC, Nathan
no flags Details | Diff
py-glance-store-0.23.0.patch (4.25 KB, patch)
2018-10-14 12:51 UTC, Kai
freebsd_ports: maintainer-approval? (alexander.nusov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-29 05:06:13 UTC
Created attachment 195578 [details]
Update
Comment 1 Nathan 2018-07-29 14:11:32 UTC
0.26.0¶
Prelude¶

This release adds support for Glance multihash computation.

From glance_store release 0.26.0 onwards Cinder driver is no longer considered as experimental.
New Features¶

    A new function, store_add_to_backend_with_multihash, has been added. This function wraps each store’s add method to provide consumers with a constant interface. It is similar to the existing store_add_to_backend function but requires the caller to specify an additional hashing_algo argument whose value is a hashlib algorithm identifier. The function returns a 5-tuple containing a multihash value, which is a hexdigest of the stored data computed using the specified hashing algorithm.

Deprecation Notes¶

    The glance_store function store_add_to_backend, which is a wrapper around each store’s add() method, is deprecated in this release and is subject to removal at the beginning of the Stein development cycle, following the OpenStack standard deprecation policy.

    The function is replaced by store_add_to_backend_with_multihash, which is a similar wrapper, but which takes an additional argument allowing a caller to specify an secure hashing algorithm. The hexdigest of this algorithm is returned as one of the multiple values returned by the function. The function also returns the md5 checksum for backward compatability.

Other Notes¶

    During Rocky cycle number of issues still warranting experimental status on Cinder back-end driver was addressed. The team considers the driver stable and production ready from Rocky release onwards (0.26.0).
Comment 2 Kai 2018-10-14 12:51:45 UTC
Created attachment 198129 [details]
py-glance-store-0.23.0.patch

Hello,

attached is the patch that updates devel/py-glance-store to 0.23.0 . This is the latest supported packaged for the OpenStack Queens release according to https://releases.openstack.org/queens/index.html#queens-glance-store .

Changes by upstream:
- http://git.openstack.org/cgit/openstack/glance_store/log/?h=stable/queens

Changes to the port:
- enabled concurrent installation
- sorted variables a bit according to the PHB
- added OPTIONS for Cinder and VMware storage backends and make both options as default (otherwise the ${PREFIX}/bin/glance-rootwrap script is unusable)
- in future there might be added more OPTIONS for another storage backends

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE, 12.0-ALPHA9 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK
Comment 3 Alexander Nusov 2018-11-04 16:41:19 UTC
Cool
Comment 4 commit-hook freebsd_committer 2019-01-11 12:51:51 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 12:51:32 UTC 2019
New revision: 489959
URL: https://svnweb.freebsd.org/changeset/ports/489959

Log:
  - Update to 0.26.0
  - Enabled concurrent installation
  - Sorted variables a bit according to the PHB
  - Added OPTIONS for Cinder and VMware storage backends and make both options as default (otherwise the ${PREFIX}/bin/glance-rootwrap script is unusable)
  Notes:
  In future there might be added more OPTIONS for another storage backend

  Changes by upstream:
  - http://git.openstack.org/cgit/openstack/glance_store/log/?h=stable/queens

  PR:		230135
  Submitted by:	ndowens@yahoo.com, freebsd_ports@k-worx.org
  Approved by:	maintainer

Changes:
  head/devel/py-glance-store/Makefile
  head/devel/py-glance-store/distinfo